Histogram
Statistics Module

## Classes

class | itpp::Histogram< Num_T >
| Histogram computation class. More...

## Functions

| itpp::Histogram< Num_T >::Histogram (Num_T from=Num_T(0), Num_T to=Num_T(99), int n_bins=100)
void | itpp::Histogram< Num_T >::setup (Num_T from, Num_T to, int n_bins)
| Histogram setup.
void | itpp::Histogram< Num_T >::update (Num_T value)
| Histogram update.
void | itpp::Histogram< Num_T >::update (Vec< Num_T > values)
| Histogram update.
void | itpp::Histogram< Num_T >::update (Mat< Num_T > values)
| Histogram update.
vec | itpp::Histogram< Num_T >::get_pdf () const
| Experimental Probability Density Function (PDF) computation.
vec | itpp::Histogram< Num_T >::get_cdf () const
| Experimental Cumulative Density Function (CDF) computation.

## Detailed Description

## Function Documentation

## Histogram()

template<class Num_T>

itpp::Histogram< Num_T >::Histogram | ( | Num_T | from = Num_T(0),
|  | Num_T | to = Num_T(99),
|  | int | n_bins = 100 )

inline

Default constructor. Constructs histogram with 100 bins spanning values from 0 to 99 by default.

Definition at line 141 of file histogram.h.

References setup(), and itpp::to().

## setup()

template<class Num_T>

void itpp::Histogram< Num_T >::setup | ( | Num_T | from,
|  | Num_T | to,
|  | int | n_bins )

inline

Histogram setup.

Definition at line 148 of file histogram.h.

References itpp::linspace(), reset(), and itpp::to().

Referenced by Histogram().

## update() [1/3]

template<class Num_T>

void itpp::Histogram< Num_T >::update | ( | Num_T | value | ) |

inline

Histogram update.

Definition at line 164 of file histogram.h.

Referenced by itpp::extrinsic_mutual_info(), update(), and update().

## update() [2/3]

template<class Num_T>

void itpp::Histogram< Num_T >::update | ( | Vec< Num_T > | values | ) |

inline

Histogram update.

Definition at line 186 of file histogram.h.

References itpp::Vec< Num_T >::length(), and update().

## update() [3/3]

template<class Num_T>

void itpp::Histogram< Num_T >::update | ( | Mat< Num_T > | values | ) |

inline

Histogram update.

Definition at line 193 of file histogram.h.

References itpp::Mat< Num_T >::cols(), itpp::Mat< Num_T >::rows(), and update().

## get_pdf()

template<class Num_T>

vec itpp::Histogram< Num_T >::get_pdf | ( |  | ) | const

inline

Experimental Probability Density Function (PDF) computation.

Definition at line 201 of file histogram.h.

Referenced by itpp::extrinsic_mutual_info().

## get_cdf()

template<class Num_T>

vec itpp::Histogram< Num_T >::get_cdf | ( |  | ) | const

inline

Experimental Cumulative Density Function (CDF) computation.

Definition at line 210 of file histogram.h.

References itpp::cumsum().

Generated on for IT++ by Doxygen 1.15.0